# FAXPP_Attribute Struct Reference

An attribute, part of the FAXPP_Event object. More...

`#include <event.h>`

## Data Fields
FAXPP_Text | prefix
| The prefix of the attribute.
FAXPP_Text | uri
| The URI of the attribute.
FAXPP_Text | name
| The name of the attribute.
FAXPP_AttrValue | value
| A linked list of the attribute value.
unsigned int | xmlns_attr:1
| Set to 1 if the attribute is a namespace declaration.
unsigned int | xml_attr:1
| Set to 1 if the attribute has a prefix of "xml".
unsigned int | line
| The line the attribute started on.
unsigned int | column
| The column the attribute started on.

## Detailed Description

An attribute, part of the FAXPP_Event object.

Definition at line 67 of file event.h.

## Field Documentation

FAXPP_Text FAXPP_Attribute::prefix

The prefix of the attribute.

Examples:
  output_event.c.

Definition at line 68 of file event.h.

FAXPP_Text FAXPP_Attribute::uri

The URI of the attribute.

Examples:
  output_event.c.

Definition at line 69 of file event.h.

FAXPP_Text FAXPP_Attribute::name

The name of the attribute.

Examples:
  output_event.c.

Definition at line 70 of file event.h.

FAXPP_AttrValue FAXPP_Attribute::value

A linked list of the attribute value.

Examples:
  output_event.c.

Definition at line 72 of file event.h.

unsigned int FAXPP_Attribute::xmlns_attr

Set to 1 if the attribute is a namespace declaration.

Definition at line 74 of file event.h.

unsigned int FAXPP_Attribute::xml_attr

Set to 1 if the attribute has a prefix of "xml".

Definition at line 75 of file event.h.

unsigned int FAXPP_Attribute::line

The line the attribute started on.

Definition at line 77 of file event.h.

unsigned int FAXPP_Attribute::column

The column the attribute started on.

Definition at line 78 of file event.h.

The documentation for this struct was generated from the following file:

- event.h